diff --git a/src/input/decoder.c b/src/input/decoder.c
index b94d6da169..96abee1e1e 100644
--- a/src/input/decoder.c
+++ b/src/input/decoder.c
@@ -1022,6 +1022,7 @@ static int DecoderPlayVideo( decoder_t *p_dec, picture_t *p_picture,
     {
         p_owner->b_has_data = true;
         vlc_cond_signal( &p_owner->wait_acknowledge );
+        msg_Err( p_dec, "signal wait, picture date %f", (double)p_picture->date/CLOCK_FREQ );
     }
     bool b_first_after_wait = p_owner->b_waiting && p_owner->b_has_data;
 
@@ -1030,10 +1031,11 @@ static int DecoderPlayVideo( decoder_t *p_dec, picture_t *p_picture,
     if( p_owner->b_waiting )
     {
         assert( p_owner->b_first );
-        msg_Dbg( p_dec, "Received first picture" );
+        msg_Err( p_dec, "Received first picture, date %f", (double)p_picture->date/CLOCK_FREQ );
         p_owner->b_first = false;
         p_picture->b_force = true;
     }
+    msg_Err( p_dec, "picture date %f", (double)p_picture->date/CLOCK_FREQ );
 
     const bool b_dated = p_picture->date > VLC_TS_INVALID;
     int i_rate = INPUT_RATE_DEFAULT;
@@ -1557,6 +1559,8 @@ static void *DecoderThread( void *p_data )
              * harmless). */
             p_owner->flushing = false;
 
+            if( p_owner->p_vout )
+                msg_Err(p_dec, "now flushing picture");
             continue;
         }
 
